Package com.independentsoft.office.spreadsheet

# Class ChartSheetView

java.lang.Object
com.independentsoft.office.spreadsheet.ChartSheetView

public class ChartSheetView extends Object
The Class ChartSheetView.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChartSheetView()`
  Instantiates a new chart sheet view.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChartSheetView`
  `clone()`
  `int`
  `getWorkbookViewID()`
  Gets the workbook view id.
  `int`
  `getZoomScale()`
  Gets the zoom scale.
  `boolean`
  `isTabSelected()`
  Checks if is tab selected.
  `boolean`
  `isZoomToFit()`
  Checks if is zoom to fit.
  `void`
  `setTabSelected​(boolean tabSelected)`
  Sets the tab selected.
  `void`
  `setWorkbookViewID​(int workbookViewID)`
  Sets the workbook view id.
  `void`
  `setZoomScale​(int zoomScale)`
  Sets the zoom scale.
  `void`
  `setZoomToFit​(boolean zoomToFit)`
  Sets the zoom to fit.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChartSheetView

    public ChartSheetView()
    Instantiates a new chart sheet view.

- ## Method Details

  - ### clone

    public ChartSheetView clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isTabSelected

    public boolean isTabSelected()
    Checks if is tab selected.
    Returns:
      true, if is tab selected

  - ### setTabSelected

    public void setTabSelected​(boolean tabSelected)
    Sets the tab selected.
    Parameters:
      `tabSelected` - the new tab selected

  - ### getWorkbookViewID

    public int getWorkbookViewID()
    Gets the workbook view id.
    Returns:
      the workbook view id

  - ### setWorkbookViewID

    public void setWorkbookViewID​(int workbookViewID)
    Sets the workbook view id.
    Parameters:
      `workbookViewID` - the new workbook view id

  - ### getZoomScale

    public int getZoomScale()
    Gets the zoom scale.
    Returns:
      the zoom scale

  - ### setZoomScale

    public void setZoomScale​(int zoomScale)
    Sets the zoom scale.
    Parameters:
      `zoomScale` - the new zoom scale

  - ### isZoomToFit

    public boolean isZoomToFit()
    Checks if is zoom to fit.
    Returns:
      true, if is zoom to fit

  - ### setZoomToFit

    public void setZoomToFit​(boolean zoomToFit)
    Sets the zoom to fit.
    Parameters:
      `zoomToFit` - the new zoom to fit